<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Services\DummyDataService;

class UserController extends Controller
{
    public function index()
    {
        $semuaSiswa = DummyDataService::getAllSiswa();
        return view('admin.pengguna.index', [
            'pageTitle' => 'Manajemen Pengguna',
            'semuaSiswa' => $semuaSiswa
        ]);
    }

    /**
     * Menampilkan form untuk membuat pengguna baru.
     */
    public function create()
    {
        return view('admin.pengguna.create', [
            'pageTitle' => 'Tambah Pengguna Baru',
        ]);
    }

    /**
     * Menampilkan form untuk mengedit pengguna yang ada.
     */
    public function edit($id)
    {
        $pengguna = collect(DummyDataService::getAllSiswa())->firstWhere('id', (int)$id);
        abort_if(!$pengguna, 404);

        return view('admin.pengguna.edit', [
            'pageTitle' => 'Edit Pengguna',
            'pengguna' => $pengguna,
        ]);
    }
}